List products - Fabric

List products

cURL

curl --request GET \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/products/ \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/products/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_pk}/products/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Example Response

{
  "count": 100,
  "results": [
    {
      "identifier": "SKU978",
      "id": 5678,
      "name": "Sample Product AYX",
      "brand": {
        "code": "marla-store",
        "id": 456,
        "name": "Marla Store"
      },
      "brand_category": "Category 78",
      "brand_name": "Sample Brand",
      "parent_identifier": "Main-1",
      "parent_name": "Main Sample",
      "description": "Sample description of product",
      "rcn_status": "pending",
      "published_at": "2022-09-10T15:24:56Z",
      "expires_at": "2022-11-10T15:24:56Z",
      "primary_media": {
        "id": 567,
        "width": 1,
        "height": 1,
        "media": "<string>",
        "priority": 2,
        "url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
        "updated_at": "2022-09-10T15:24:56Z",
        "created_at": "2022-08-10T15:24:56Z"
      },
      "pricing": "12.00",
      "num_variants": 2,
      "created_at": "2022-07-10T15:24:56Z",
      "updated_at": "2022-08-10T15:24:56Z"
    }
  ],
  "next": "https://api.example.org/demo/{retailer_pk}/?page=5",
  "previous": "https://api.example.org/demo/{retailer_pk}/?page=3"
}

Authorizations

Path Parameters

Query Parameters